package com.lightinit.hsdataplatformresdir.model.admin;

public class ResourceAllImagesListModel {

    //resourceId
    private Long id ;

    //code
    private String catelogCode ;

    //资源名称
    private String resourceName;

    //资源类型
    private String resourceType;

    //主题
    private String catelogThemeName;

    //所属机构
    private String providerName;

    //授权属性
    private String shareType;

    private String openType;

    //标签
    private String serviceTag;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getCatelogThemeName() {
        return catelogThemeName;
    }

    public void setCatelogThemeName(String catelogThemeName) {
        this.catelogThemeName = catelogThemeName;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCatelogCode() {
        return catelogCode;
    }

    public void setCatelogCode(String catelogCode) {
        this.catelogCode = catelogCode;
    }
}
